Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 26 Aug 2008 10:12:55 -0700

Petr Baudis <[email-masked]> wrote:
> On Tue, Aug 26, 2008 at 06:45:26PM +0200, Andi Kleen wrote:
> > 
> > It's not very convincing, because the bash completions script file for git 
> > is installed by default[1] which completes both forms, so the new user will 
> > experience instead:
> > 
> > git<space><tab><tab>.... what? 140-something commands? etc.etc.
> 
> No, the point of course is that you should get much less.
> 
> It offers 66 commands to me here, though it's still way too many - some
> of them are clearly plumbing: count-objects, ls-tree, checkout-index?
> Someone should submit a patch! ;-) (After eliminating these, this comes
> down to 56 commands - which is still a lot, but the numbers are getting
> somewhat sane already.)

I'm the reason why count-objects, ls-tree and checkout-index are
still offered by the bash completion.  And sitting here reading your
email I realized its been _months_ since I last called checkout-index
by hand.  I still run count-objects and ls-tree very so often, but the
average user probably doesn't use ls-tree.

So yea, these probably should be removed from the completion list.
But I can make a weak argument for keeping count-objects.

-- 
Shawn.